Bug 3801 - condor commands need CONDOR_CONFIG
: condor commands need CONDOR_CONFIG
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: 4.0.1
: All All
: P2 enhancement
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-10-05 11:09 by
Modified: 2008-02-08 15:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-05 11:09:29
The condor commands (condor_submit, condor_rm, condor_q) require that the ENV
Var 
"CONDOR_CONFIG" to be set.  condor.pm should be enhanced to look for the
CONDOR_CONFIG when the 
setup package is run and then set that ENV var when executing the condor
commands.  An option should 
be added to the condor setup package to set this value explicitly when the
setup program is run.  -
condor-config <path>
------- Comment #1 From 2005-10-05 11:14:32 -------
Just a clarification--they need CONDOR_CONFIG to be set if Condor's
configuration files aren't in a standard location. This is reasonably common. 

The proposed enhancement sounds good. 

------- Comment #2 From 2007-09-19 11:37:58 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #3 From 2008-02-06 13:08:56 -------
Proposed patch: http://www-unix.mcs.anl.gov/~bester/patches/bug_3801.diff
------- Comment #4 From 2008-02-06 13:52:58 -------
It's common not to have CONDOR_CONFIG set in the environment. In that case,
Condor looks in several well-known locations for its configuration file. I
suggest either removing the warning in find-condor-tools.in or expanding the
message to say it's using the default behavior.
------- Comment #5 From 2008-02-08 15:58:13 -------
Code committed to trunk with additional verbage about searching default paths
if CONDOR_CONFIG is not set.